Actualización de solo seguridad de .NET Framework 3.5, 4.5.2, 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1, 4.7.2 y 4.8 para Windows Server 2012 (KB4556404)

Se aplica a: .NET Framework

Resumen


Existe una vulnerabilidad de ejecución de código remoto en el software de .NET Framework cuando el software no comprueba el marcado de origen de un archivo para un proyecto no compilado. Un atacante que aprovechara la vulnerabilidad podría ejecutar código arbitrario en el contexto del usuario actual. Si el usuario actual ha iniciado sesión con derechos de usuario administrativos, un atacante podría tomar el control del sistema afectado. Así, un atacante podría instalar programas, ver, cambiar o eliminar datos, o crear nuevas cuentas con todos los derechos de usuario. Los usuarios cuyas cuentas estén configuradas con pocos derechos de usuario en el sistema correrían un riesgo menor que los usuarios que dispongan de privilegios administrativos. Para aprovechar la vulnerabilidad, se requiere que un usuario abra un archivo especialmente diseñado que tenga una versión afectada de .NET Framework. En un escenario de ataque por correo electrónico, un atacante podría aprovechar la vulnerabilidad, enviar el archivo especialmente diseñado al usuario y convencerle de que lo abra. La actualización de seguridad soluciona la vulnerabilidad corrigiendo el modo en que .NET Framework comprueba el marcado de origen de un archivo.

Para obtener más información sobre las vulnerabilidades, consulte las siguientes vulnerabilidades y exposiciones comunes (CVE).

Existe una vulnerabilidad de denegación de servicio cuando .NET Framework gestiona de manera incorrecta las peticiones web. Un atacante que aproveche con éxito esta vulnerabilidad podría causar una denegación de servicio en una aplicación web .NET Framework. La vulnerabilidad se puede aprovechar de forma remota, sin autenticación. Un atacante remoto no autenticado podría aprovechar esta vulnerabilidad al emitir solicitudes especialmente diseñadas para la aplicación .NET Framework. La actualización corrige la vulnerabilidad al corregir la forma en que la aplicación web .NET Framework maneja las solicitudes web.

Para obtener más información sobre las vulnerabilidades, consulte las siguientes vulnerabilidades y exposiciones comunes (CVE).

Importante

  • Todas las actualizaciones de .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1 y 4.7.2 requieren la instalación de la actualización de d3dcompiler_47.dll. Es recomendable instalar el archivo d3dcompiler_47.dll incluido antes de aplicar esta actualización. Para obtener más información sobre d3dcompiler_47.dll, consulte el artículo KB 4019990.
  • Si se instala un paquete de idioma después de esta actualización, habrá que volver a instalar la actualización. Por tanto, se recomienda instalar los paquetes de idioma necesarios antes de instalar esta actualización. Para obtener más información, consulte Add language packs to Windows.

Información adicional acerca de esta actualización


En los siguientes artículos podrá encontrar información adicional sobre esta actualización relacionada con las versiones de productos individuales.
  • 4552963 Descripción de la actualización de solo seguridad de .NET Framework 3.5 para Windows Server 2012 (KB4552963)
  • 4552968 Descripción de la actualización de solo seguridad de .NET Framework 4.5.2 para Windows Server 2012 (KB4552968)
  • 4552958 Descripción de la actualización de solo seguridad para .NET Framework 4.6, 4.6.1, 4.6.2, 4.7, 4.7.1 y 4.7.2 para Windows Server 2012 (KB4552958)
  • 4552961 Descripción de la actualización de solo seguridad de .NET Framework 4.8 para Windows Server 2012 (KB4552961)

Información sobre protección y seguridad